uuconv(1)

NAME
uuconv - convert UUCP configuration files

SYNOPSIS
uuconv -i type -o type [-p program] [--program program]

uuconv --input type --output type [-p program] [--program program]

DESCRIPTION
The uuconv program can be used to convert UUCP configuration files from one format to another. This can be useful for administrators converting from an older UUCP package. Taylor UUCP is able to read and use old configuration file formats, but some new features can not be selected using the old formats.

The type of configuration file to read is specified using the -i or --input options. The type of configuration file to write is specified using the -o or --output options.

The supported configuration file types are taylor, v2, and hdb. For a description of the taylor configuration files, use the info command and see "*Note Configuration Files::" for uucp. The other types of configuration files are used by traditional UUCP packages, and are not described in this manual.

An input configuration of type taylor is read from a compiled in directory by default.

The output configuration is written to files in the directory in which uuconv is run.

Some information in the input files may not be representable in the desired output format, in which case uuconv will silently discard it. The output of uuconv should be carefully checked before it is used. The uuchk(8) program may be used for this purpose.

The -p or --program option may be used to convert specific cu configuration information, rather than the default of only converting the uucp configuration information.

OPTIONS

-i, --input
    Set input type (one of taylor, v2, hdb)

-o, --output
    Set output type (one of taylor, v2, hdb)

-p, --program
    Program to convert (e.g., uucp or cu)

Standard UUCP options:
    -v, --version Report version information and exit.

--help
    Print a help message and exit.

SEE ALSO
cu(1), info(1), uucp(1), uuchk(8)

AUTHOR
Ian Lance Taylor <ian@airs.com>. Text for this Manpage comes from Taylor UUCP, version 1.07 Info documentation.